##### 7.5.20.0. isWeyl

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  isWeyl();

Return:
  int, 1 if basering is a Weyl algebra, or 0 otherwise

Purpose:
  check whether basering is a Weyl algebra

Example:

    LIB "nctools.lib";
    ring r = 0,(a,b,c,d),dp;
    isWeyl();
    ==> 0
    def D = Weyl(1); setring D; //make from r a Weyl algebra
    b*a;
    ==> ab+1
    isWeyl();
    ==> 1
    ring t = 0,(Dx,x,y,Dy),dp;
    matrix M[4][4]; M[1,2]=-1; M[3,4]=1;
    def T = nc_algebra(1,M); setring T;
    isWeyl();
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.